﻿using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    /// 샘플 컴팩트 크기 페이지
    /// </summary>
    public sealed partial class SampleCompactSizingPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 이름 텍스트 박스 - FirstNameTextBox

        /// <summary>
        /// 이름 텍스트 박스
        /// </summary>
        public TextBox FirstNameTextBox => this.firstNameTextBox;

        #endregion
        #region 성 텍스트 박스 - LastNameTextBox

        /// <summary>
        /// 성 텍스트 박스
        /// </summary>
        public TextBox LastNameTextBox => this.lastNameTextBox;

        #endregion
        #region 패스워드 박스 - PasswordBox

        /// <summary>
        /// 패스워드 박스
        /// </summary>
        public PasswordBox PasswordBox => this.passwordBox;

        #endregion
        #region 확인 패스워드 박스 - ConfirmPasswordBox

        /// <summary>
        /// 확인 패스워드 박스
        /// </summary>
        public PasswordBox ConfirmPasswordBox => this.confirmPasswordBox;

        #endregion
        #region 선택 날짜 선택기 - ChosenDatePicker

        /// <summary>
        /// 선택 날짜 선택기
        /// </summary>
        public DatePicker ChosenDatePicker => this.chosenDatePicker;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - SampleCompactSizingPage()

        /// <summary>
        /// 생성자
        /// </summary>
        public SampleCompactSizingPage()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 상태 복사하기 - CopyState(page)

        /// <summary>
        /// 상태 복사하기
        /// </summary>
        /// <param name="page">페이지</param>
        public void CopyState(SampleStandardSizingPage page)
        {
            FirstNameTextBox.Text       = page.FirstNameTextBox.Text;
            LastNameTextBox.Text        = page.LastNameTextBox.Text;
            PasswordBox.Password        = page.PasswordBox.Password;
            ConfirmPasswordBox.Password = page.ConfirmPasswordBox.Password;
            ChosenDatePicker.Date       = page.ChosenDatePicker.Date;
        }

        #endregion
    }
}